Package com.io7m.idstore.shell.admin.internal

# Class IdAShellCmdAuditSearchBegin

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract<IdACommandAuditSearchBegin,IdAResponseAuditSearchBegin>
com.io7m.idstore.shell.admin.internal.IdAShellCmdAuditSearchBegin

All Implemented Interfaces:
  `IdAShellCmdType`, `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

public final class IdAShellCmdAuditSearchBegin extends IdAShellCmdAbstract<IdACommandAuditSearchBegin,IdAResponseAuditSearchBegin>
"audit-search-begin"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAShellCmdAuditSearchBegin(IdAClientSynchronousType inClient)`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected IdACommandAuditSearchBegin`
  `onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)`
  `protected void`
  `onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseAuditSearchBegin response)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`

  ### Methods inherited from class com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract

  `completer, metadata, onExecute, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onListPositionalParameters`

- ## Constructor Details

  - ### IdAShellCmdAuditSearchBegin

    public IdAShellCmdAuditSearchBegin(IdAClientSynchronousType inClient)
    Construct a command.
    Parameters:
      `inClient` - The client

- ## Method Details

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()

  - ### onCreateCommand

    protected IdACommandAuditSearchBegin onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)
    Specified by:
      `onCreateCommand` in class `IdAShellCmdAbstract<IdACommandAuditSearchBegin,IdAResponseAuditSearchBegin>`

  - ### onFormatResponse

    protected void onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseAuditSearchBegin response)
    Specified by:
      `onFormatResponse` in class `IdAShellCmdAbstract<IdACommandAuditSearchBegin,IdAResponseAuditSearchBegin>`